<template>
  <div :class="{'task-monitor-expired-red': data.item.relevance < 0}">
    <span v-if="data.item.relevance < 0">Просрочено на: </span>

    <ObCountdown
      v-if="data.item.relevance >= 0"
      :to-date="data.item.deadline_dt"
      finished-text="0 с"
    />

    <ObCountdown
      v-else
      :from-date="data.item.deadline_dt"
    />
  </div>
</template>

<script>
  import ObCountdown from 'common-components/src/obComponents/obCountdown'

  export default {
    name: 'FieldRelevance',
    components: {
      ObCountdown
    },
    props: {
      data: {
        type: Object,
        required: true
      }
    }
  }
</script>
